.stories-model-content {
    padding: 0;
}

.stories-body > .swiper {
    z-index: 2;
    max-width: 414px;
    max-height: 896px;
}

@media (min-width: 576px) {
    .modal-dialog-c {
        max-width: 414px !important;
    }
}

.stories-slider-user-avatar {
    width: 32px;
    height: 32px;
}

.stories-slider-user {
    position: absolute;
    top: 18px;
    left: 12px;
    display: flex;
    font-size: 14px;
    gap: 12px;
    align-items: center;
}

.stories-slider-user-name {
    font-weight: 700;
}

.stories-slider-user-date {
    font-size: 14px;
    font-weight: 400;
    opacity: 0.55;
    text-shadow: 0px 0px 2px rgba(0, 0, 0, 0.35);
}

.stories-slider-content {
    max-width: 414px;
    max-height: calc(100vh - 100px);
    object-fit: cover;
}

.stories-slider-content img {
    width: 100%;
    height: 100%;
}

.stories-progress {
    /* position: absolute; top: 18px; left: 12px; */
    display: flex;
    gap: 3px;
}

progress.story-progress {
    height: 3px !important;
    vertical-align: baseline;

    /* border: #00000010 1px solid; */
    -webkit-appearance: none;
    appearance: none;
}

progress.story-progress::-webkit-progress-value {
    background: #e4e4e4;
    height: 2px;
}

@keyframes fillProgressBar {
    to {
        value: 1000;
        /* or your desired maximum value */
    }
}

.story-progress {
    animation: fillProgressBar 3s ease-in-out forwards;
    /* Adjust duration and easing as needed */
}

.modal-content {
    overflow: hidden;
    overflow: -moz-hidden-unscrollable;
}

.modal-wrapper-c {
    padding: 0;
}

.stroy-content-wrapper {
    position: relative;
}

.story-extras {
    display: flex;
    flex-direction: column;
    gap: 10px;
    justify-content: center;

    color: #e4e4e4;
    padding: 10px;
    position: absolute;
    bottom: 5px;
    left: 0;
    right: 20;

    background: hsla(0, 0%, 0%, 0.363);
    z-index: 999999;

    & span {
        flex-grow: 1;
    }
    & a {
        flex-grow: 1;
    }
}
